export const SYS_ADMIN_NAME = "sysadmin";

// 通用 -------------->
// 启用/禁用
export const ABLE_TYPE = {
  0: "禁用",
  1: "启用"
};

// 是 / 否
export const BOOLEAN_TYPE = {
  0: "否",
  1: "是"
};

// 审核状态
export const AUDITING_STATUS = {
  START: "待审核",
  AUDITING: "审核中",
  REJECT: "已驳回",
  CANCEL: "已撤回",
  END: "已终止",
  FINISH: "已结束"
};

// 审核结果
export const AUDITING_RESULT = {
  NOT_PASS: "未通过",
  PASS: "通过"
};
export const TASK_AUDIT_RESULT = {
  REJECT: "驳回",
  PASS: "通过"
};

// 权限类型
export const PRIVILEGE_TYPE = {
  MENU: "菜单",
  URL: "操作"
};

// 基础 -------------->
// 机构
export const ORG_TYPE = {
  COLLEGE: "学院",
  FACULTY: "院系",
  TEACHING_ROOM: "教研室",
  PRINTING_HOUSE: "印刷室"
};
// 角色
export const ROLE_TYPE = {
  SCHOOL_ADMIN: "管理员",
  EXAM_TEACHER: "考务老师",
  QUESTION_TEACHER: "命题老师",
  CUSTOMER: "客服人员",
  PRINT: "印刷人员",
  CUSTOM: "自定义"
};

export const SMS_TYPE = {
  SCHOOL_ADMIN: "管理员",
  EXAM_TEACHER: "考务老师"
};

// 通用题卡规则id
export const COMMON_CARD_RULE_ID = "-1";

export const CARD_CREATE_METHOD_TYPE = {
  UPLOAD: "上传文件",
  STANDARD: "标准模式",
  FREE: "自由模式"
};
export const CARD_TYPE = {
  GENERIC: "通卡",
  CUSTOM: "自定义专卡"
};

// 模板类型
export const TEMPLATE_TYPE = {
  GENERIC: "通卡模板",
  VARIABLE: "变量印品模板",
  ORDINARY: "普通印品模板"
};

// 提交印刷方式
export const CONFIRM_PRINT_TYPE = {
  MANUAL: "手动",
  AUTO: "自动"
};

// 印刷计划推送状态
export const SYNC_PRINT_STATUS = {
  INIT: "未开始",
  START_SYNC: "同步中", // 开始同步
  EXAM_FINISH: "同步中", // 考试同步成功
  STUDENT_FINISH: "同步中", // 考生同步成功
  FINISH: "已结束"
};

// 考试
export const EXAM_TYPE = {
  OFFLINE: "线下考试",
  ONLINE: "线上考试"
};

export const EXAM_MODE_TYPE = {
  MODEL1: "模式1：电子交卷环节需要提交考务数据",
  MODEL2: "模式2：电子交卷环节不需要提交考务数据，只输入印刷份数即可",
  MODEL3: "模式3：电子交卷环节不需要提交考务数据"
};

export const FLOW_TYPE = {
  ELECTRON_FLOW: "电子交卷审核"
  // QUESTION_ELECTRON_FLOW: "题库试题提交审核",
  // PAPER_ELECTRON_FLOW: "题库试卷审核"
};

export const FLOW_APPROVE_OPERATION_TYPE = {
  SUBMIT: "提交",
  APPROVE: "审批",
  EXCHANGE: "转他人审批",
  REJECT: "驳回",
  END: "终止"
};

// 命题 -------------->
// 待办任务警告时间
export const TASK_WARNING_TIME = 3 * 24 * 60 * 60 * 1000;

// 题卡
// 条码类型
export const EXAM_NUMBER_STYLE = {
  PRINT: "印刷条码",
  PASTE: "粘贴条码",
  FILL: "考号填涂"
};
// 试卷类型方式
export const PAPER_TYPE = {
  PRINT: "印刷"
  // FILL: "填涂"
};

// 命题任务状态
export const EXAM_TASK_STATUS = {
  DRAFT: "新建",
  STAGE: "待命题",
  AUDITING: "审核中",
  REJECT: "驳回",
  FINISH: "已完成"
};

// 题卡创建方式
export const CARD_SOURCE_TYPE = {
  SELECT: "选择已有答题卡",
  SELF: "自助创建",
  CUST: "申请客服制卡"
};

// 模板类型
export const TEMPLATE_CLASSIFY = {
  SIGN: "签到表",
  PACKAGE: "卷袋贴",
  CHECK_IN: "考试情况登记表"
};

// 数据管理
export const DATA_TASK_STATUS = {
  INIT: "未开始",
  RUNNING: "进行中",
  FINISH: "已完成"
};
export const DATA_TASK_TYPE = {
  QUESTION_MISSION_BATCH_CREATE: "批量新建命题任务",
  SAMPLE_EXPORT: "导出审核样本",
  EXAMINATION_IMPORT: "考务数据导入",
  EXAMINATION_EXPORT: "考务数据导出",
  PRINT_PDF_DOWNLOAD: "批量下载pdf",
  CREATE_PDF: "生成pdf",
  USER_IMPORT: "用户导入",
  STUDENT_IMPORT: "学生导入",
  COURSE_IMPORT: "课程导入",
  PAPER_AND_CARD_PDF_DOWNLOAD: "卷库查询管理试卷、空白题卡批量下载pdf",
  STATISTICS_IMPORT: "命题统计导入",
  SCORE_EXPORT: "成绩导出",
  SCORE_DOWNLOAD: "成绩轨迹下载"
};
export const DATA_TASK_RESULT = {
  SUCCESS: "成功",
  ERROR: "失败"
};

// 印刷 -------------->
// 印刷计划状态
export const PRINT_PLAN_STATUS = {
  NEW: "新建",
  READY: "就绪",
  PRINTING: "印刷中",
  PRINT_FINISH: "印刷完成",
  END: "已结束"
};
// 印刷计划相关
export const DRAW_RULE_TYPE = {
  ONE: "只抽取一次",
  CIRCLE: "可反复抽取"
};
export const PRINT_BACKUP_TYPE = {
  ROOM: "每考场"
  // STUDENT: "每考生"
};
export const PAPER_BACKUP_TYPE = {
  ROOM: "每考场"
  // PLACE: "每考点"
};
export const PRINT_CONTENT_TYPE = {
  PAPER: "试卷",
  CARD: "题卡"
};

// 印刷任务状态
export const PRINT_TASK_STATUS = {
  NEW: "新建",
  READY: "就绪",
  WAITING: "待印刷",
  PRINTING: "印刷中",
  FINISH: "已完成"
};
// pdf文件类型
export const PRINT_PDF_TYPE = {
  ALL_A3: "试卷题卡合并文件",
  CARD_A3: "题卡合并文件"
};

// stmms
export const MARK_TASK_SYNC_STATUS = {
  INIT: "未同步",
  UPLOAD_FINISH: "同步中", // 开始同步
  START_SYNC: "同步中", // 开始同步
  PAPER_FINISH: "同步中", // 试卷同步成功
  ANSWER_FINISH: "同步中", // 标答同步成功
  OBJECTIVE_FINISH: "同步中", // 客观题结构同步成功
  SUBJECTIVE_FINISH: "同步中", // 主观题结构同步成功
  FINISH: "已同步"
};
export const STMMS_SYNC_TYPE = {
  USER_PUSH: "用户推送",
  EXAM_PUSH: "考试、考生、题卡推送",
  STRUCTURE_PUSH: "试卷结构推送",
  SCORE_PUSH: "成绩推送"
};
